language: python
python:
  - 2.7
cache: pip
install:
  - pip install awscli
  - pip install mkdocs
  - pip install mkdocs-material==0.2.4
script:
  - mkdocs build --clean
  - git remote add gh-pages https://$GITHUB_API_KEY@github.com/spearheadsys/issue-response-docs.git
  - git fetch gh-pages
after_success: |
  if [ -n "$GITHUB_API_KEY" ]; then
    cd "$TRAVIS_BUILD_DIR"
    mkdocs gh-deploy -v --clean
    cd "$TRAVIS_BUILD_DIR"
  fi